package com.ifish.validator;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
/**
 * 商家会员信息
 * @author Administrator
 *
 */
public class ShopsUserInfoParam {
	
	/**
	 * 会员等级
	 */
	@Min(1)
	@Max(3)
	private int memberLevel;
	/**
	 * 用户名称
	 */
	@NotBlank
	@Length(max=10)
	private String userName;
	/**
	 * 手机号码
	 */
	@NotBlank
	@Length(max=11)
	private String phoneNumber;
	/**
	 * 省
	 */
	@Length(max=30)
	private String province;
	/**
	 * 市
	 */
	@Length(max=30)
	private String city;
	/**
	 * 区
	 */
	@Length(max=30)
	private String area;
	/**
	 * 地址
	 */
	@Length(max=100)
	private String address;
	/**
	 * 备注
	 */
	@Length(max=50)
	private String remark;
	
	public int getMemberLevel() {
		return memberLevel;
	}
	public void setMemberLevel(int memberLevel) {
		this.memberLevel = memberLevel;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getPhoneNumber() {
		return phoneNumber;
	}
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	
}
